Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.interpreter
Class ProcedureInterpreter

    java.lang.Object
      |
      +--org.opencyc.uml.interpreter.ProcedureInterpreter

public class ProcedureInterpreter
extends java.lang.Object

Interprets a procedure of a UML StateMachine.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`static int` | `DEFAULT_VERBOSITY` The default verbosity of this object's output.
`protected int` | `verbosity` Sets verbosity of this object's output.

Constructor Summary
`ProcedureInterpreter(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter, int verbosity)` Constructs a new ProcedureInterpreter object given the tree interpreter which interprets java statements

Method Summary
`org.opencyc.uml.core.Procedure` | `getProcedure()` Gets the procedure to interpret.
`void` | `interpret(org.opencyc.uml.core.Procedure procedure)` Interprets the given procedure.
`void` | `setVerbosity(int verbosity)` Sets verbosity of this object's output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VERBOSITY

    public static final int DEFAULT_VERBOSITY

  The default verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.

### verbosity

    protected int verbosity

  Sets verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.

Constructor Detail

### ProcedureInterpreter

    public ProcedureInterpreter(koala.dynamicjava.interpreter.TreeInterpreter treeInterpreter,
                                int verbosity)

  Constructs a new ProcedureInterpreter object given the tree interpreter which interprets java statements
  Parameters:
    `treeInterpreter` - the given tree interpreter

Method Detail

### interpret

    public void interpret(org.opencyc.uml.core.Procedure procedure)

  Interprets the given procedure.
  Parameters:
    `procedure` - the procedure to interpret

### getProcedure

    public org.opencyc.uml.core.Procedure getProcedure()

  Gets the procedure to interpret.
  Returns:
    the procedure to interpret

### setVerbosity

    public void setVerbosity(int verbosity)

  Sets verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.
  Parameters:
    `verbosity` - 0 --> quiet ... 9 -> maximum diagnostic input

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD